import { s as state, v, c as checkoutMachine } from './store.js';

// Start state machine.
const service = v(checkoutMachine);
service.subscribe(stateService => (state.formState = stateService));
service.start();

const { send } = service;
const updateFormState = action => send(action);

export { updateFormState as u };
